## m-tx 0.50a

=== doc/Makefile ===
examples = mozart0.ex mozart.ex netsoos0.ex meter.ex melisma1.ex \
 dertod.ex volta.ex title.ex title1.ex psalm42.ex netsoos1.ex \
 netsoos1.mtb netsoos2.ex netsoos2.mtb melisma2.ex melisma2.mtb \
 melisma3.ex melisma3.mtb melisma4.ex melisma4.mtb melisma5.ex melisma5.mtb \
 borup.ex

%.ex: %.mtx
	prepmx $* 
	echo $* | pmxa
	pmxb
	./tex2ex.sh $*
	rm pmxtex.* $*.pmx $*.tex

%.mtb: %.mtx
	./mtx2mtb.sh $*

mtxdoc.dvi: mtxdoc.tex mtxdoc.sty $(examples)
	touch mtxdoc.mx1
	rm *.mx?
	- latex mtxdoc
	musixflx mtxdoc
	makeindex mtxdoc
	- latex mtxdoc
	rm mtxdoc.log mtxdoc.idx mtxdoc.ilg

once: mtxdoc.tex mtxdoc.sty $(examples)
	- latex mtxdoc
	rm mtxdoc.aux mtxdoc.log

paperus:
	echo \\def\\paperUS{} > mypaper.tex

papera4:
	echo \\def\\paperA4{} > mypaper.tex

mtxdocus.dvi: paperus mtxdoc.dvi
	mv mtxdoc.dvi mtxdocus.dvi	

mtxdoca4.dvi: papera4 mtxdoc.dvi
	mv mtxdoc.dvi mtxdoca4.dvi

mtxdoc.lj:
	dvilj mtxdoc

mtxdoc.ps:
	dvips -D 300 -o mtxdoc.ps mtxdoc

bare:
	rm *.dvi *.lj *.ps *.ex *.mtb *.mx? *.ind *.ilg *.toc *.aux *.log

## m-tx 0.52

=== doc/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
  dertod.ex volta.ex title.ex title1.ex psalm42.ex netsoos1.ex \
  netsoos1.mtb netsoos2.ex netsoos2.mtb melisma2.ex melisma2.mtb \
  melisma3.ex melisma3.mtb melisma4.ex melisma4.mtb melisma5.ex melisma5.mtb \
- borup.ex
+ borup.ex meter.ex
 
 %.ex: %.mtx
 	prepmx $*

## m-tx 0.55c

=== doc/Makefile ===
PREPMX = ./prepmx
include make-target

sources = mtxdoc.tex mtxdoc.sty mtxlatex.sty mozart0.mtx mozart.mtx\
 netfirst.mtx meter.mtx notes.tex lyrics.tex mtxindex.tex\
 dertod.mtx volta.mtx title.mtx title1.mtx psalm42.mtx netsoos1.mtb \
 netsoos2.mtb borup.mtx melisma1.mtb dwoman.mtb \
 melisma2.mtb melisma3.mtb melisma4.mtb melisma5.mtb melisma6.mtb \
 dwoman.mta melisma.mta netsoos.mta kroonhom.mtx loofnou.mtx \
 viva.mtx dona.mtx sanctus.mtx halleluja.ltx kanons.ltx

examples = mozart0.tex mozart.tex netfirst.tex meter.tex \
 dertod.tex volta.tex title.tex title1.tex psalm42.tex netsoos1.tex \
 netsoos2.tex borup.tex melisma1.tex dwoman.tex \
 melisma2.tex melisma3.tex melisma4.tex melisma5.tex melisma6.tex 

halleluja_pieces = kroonhom.tex loofnou.tex

kanons_pieces = viva.tex dona.tex sanctus.tex

%.tex: %.mtx
	$(PREPMX) $* 
	pmxab $*
	rm $*.pml $*.pmx pmxaerr.dat

mtxdoc.$(target): mtxdoc.tex mtxdoc.sty $(examples)
	touch mtxdoc.mx1
	rm *.mx?
	- $(latex) mtxdoc
	musixflx mtxdoc
	makeindex mtxdoc
	- $(latex) mtxdoc
	- $(latex) mtxindex
	rm mtxdoc.log mtxdoc.idx mtxdoc.ilg mtxindex.log mtxindex.aux

%.mtx: %.mta %.mtb
	cat $*.mta $*.mtb > $*.mtx

melisma%.mtx: melisma.mta melisma%.mtb
	cat melisma.mta melisma$*.mtb > melisma$*.mtx

netsoos%.mtx: netsoos.mta netsoos%.mtb
	cat netsoos.mta netsoos$*.mtb > netsoos$*.mtx

once: mtxdoc.tex mtxdoc.sty $(examples)
	- $(latex) mtxdoc

index: mtxdoc.idx mtxindex.tex
	makeindex mtxdoc
	$(latex) mtxindex

%.$(target): %.ltx
	- rm $*.mx?; $(latex) $*.ltx; musixflx $*; $(latex) $*.ltx

kanons.$(target): kanons.ltx $(kanons_pieces)

halleluja.$(target): halleluja.ltx $(halleluja_pieces)

all: mtxdoc.$(target) kanons.$(target) halleluja.$(target) mtxindex.$(target)

config:
	@echo "Configuring mtxdoc Version `./docversion`"
	@echo "Looking for prepmx ... `which prepmx`"
	ln -sf `which prepmx` .
	@echo "Looking for pmxab ... `which pmxab`"
	@echo "Looking for musixflx ... `which musixflx`"
	@echo "Looking for musixtex ... `kpsewhich musixtex.tex`"
	@echo "Looking for musixlyr ... `kpsewhich musixlyr.tex`"
	@echo "Looking for $(latex) ... `which $(latex)`"

pdftarget:
	ln -sf make-pdf make-target

dvitarget:
	ln -sf make-dvi make-target
	
paperus:
	echo \\def\\paperUS{} > mypaper.tex

papera4:
	echo \\def\\paperA4{} > mypaper.tex

mtxdocus.$(target): paperus mtxdoc.$(target)
	mv mtxdoc.$(target) mtxdocus.$(target)	

mtxdoca4.$(target): papera4 mtxdoc.$(target)
	mv mtxdoc.$(target) mtxdoca4.$(target)

ps: mtxdoc.ps halleluja.ps kanons.ps mtxindex.ps

pdf: mtxdoc.pdf halleluja.pdf kanons.pdf mtxindex.pdf

support = docversion Makefile make-dvi make-pdf make-target

Dzip: 
	- @zip -ju mtxD`./docversion` $(sources) $(support) README

bare:
	rm $(examples) $(halleluja_pieces) $(kanons_pieces) *.dvi *.lj *.ps *.pdf\
     netsoos?.mtx melisma?.mtx *.mx? *.ind *.ilg *.toc *.aux *.log

=== src/Makefile ===
pasfiles = globals.pas mtx.pas preamble.pas lyrics.pas analyze.pas mtxline.pas\
  status.pas uptext.pas prepmx.pas files.pas notes.pas multfile.pas \
  strings.pas utility.pas control.pas
cfiles = globals.c mtx.c preamble.c lyrics.c analyze.c mtxline.c\
  status.c uptext.c prepmx.c files.c notes.c multfile.c utility.c control.c
native = cfuncs.c cfuncs.h 
hfiles = globals.h mtx.h preamble.h lyrics.h analyze.h mtxline.h \
  status.h uptext.h files.h notes.h multfile.h utility.h control.h
ofiles = globals.o mtx.o preamble.o lyrics.o analyze.o mtxline.o \
  status.o uptext.o files.o notes.o prepmx.o cfuncs.o multfile.o utility.o \
  control.o

prepmx: $(pasfiles) 
	fpc -B -vnh -So prepmx

prepmxc: $(cfiles) $(ofiles)
	cc $(ofiles) -o prepmx

multfile.c: multfile.pas
	p2c -a -LTurbo multfile.pas -o temp.c
	sed -e "s/Malloc/malloc/" < temp.c > multfile.c
	rm temp.c
	
%.c: %.pas 
	p2c -a -LTurbo $*.pas
 
clean:
	- rm *.o *~ *~ core *.pmx *.pml *.log *.dvi 

bare: clean
	- rm $(cfiles) $(hfiles) prepmx *.ppu

Pzip:
	zip -ju mtxP`./version` version $(pasfiles) mtx.tex $(native) \
 Makefile Corrections Bugs README

Czip: $(cfiles)
	zip -ju mtxC`./version` version $(cfiles) $(native) $(hfiles) mtx.tex Makefile \
 Bugs Corrections README

## m-tx 0.60

=== src/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
   control.o
 
 prepmx: $(pasfiles) 
-	fpc -B -vnh -So prepmx
+	fpc -g -B -vnh -So prepmx
 
 prepmxc: $(cfiles) $(ofiles)
 	cc $(ofiles) -o prepmx
@@ -31,9 +31,10 @@
 	- rm $(cfiles) $(hfiles) prepmx *.ppu
 
 Pzip:
-	zip -ju mtxP`./version` version $(pasfiles) mtx.tex $(native) \
+	zip -ju mtxP`./version` version $(pasfiles) pmxword.pas mtx.tex $(native) \
  Makefile Corrections Bugs README
 
 Czip: $(cfiles)
 	zip -ju mtxC`./version` version $(cfiles) $(native) $(hfiles) mtx.tex Makefile \
  Bugs Corrections README
+

## m-tx 0.60d

=== src/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
   control.o
 
 prepmx: $(pasfiles) 
-	fpc -g -B -vnh -So prepmx
+	fpc -g -B -vn -So prepmx
 
 prepmxc: $(cfiles) $(ofiles)
 	cc $(ofiles) -o prepmx

=== debian/changelog ===
m-tx (0.60d-5) unstable; urgency=low

  * Fix postinst script to adjust to new texmf path (Closes: #666678)

 -- Roland Stigge <stigge@antcom.de>  Sun, 01 Apr 2012 10:58:36 +0200

m-tx (0.60d-4) unstable; urgency=low

  * Added texlive-latex-extra to Build-Depends, a4wide.sty moved there from
    texlive-latex-base (Closes: #666317)

 -- Roland Stigge <stigge@antcom.de>  Fri, 30 Mar 2012 15:47:16 +0200

m-tx (0.60d-3) unstable; urgency=low

  * src/notes.pas: {$V-} for Free Pascal 2.6.0 to comile matching of different
    string types (Closes: #661809)
  * debian/control: Standards-Version: 3.9.3
  * debian/rules: dh style
  * debian/compat: 9

 -- Roland Stigge <stigge@antcom.de>  Thu, 01 Mar 2012 18:38:58 +0100

m-tx (0.60d-2) unstable; urgency=low

  * Documentation fixes to solve FTBFS due to new PMX (Closes: #625165)

 -- Roland Stigge <stigge@antcom.de>  Mon, 02 May 2011 22:35:07 +0200

m-tx (0.60d-1) unstable; urgency=low

  * New upstream release
  * Rewrote Description (Closes: #566520)
  * Moved to source format 3.0 (quilt)
  * debian/control:
    - Standards-Version: 3.8.4
    - Depends: debhelper (>=7), debian/compat: 7
  * Added mtxlatex.sty to /usr/share/texmf/tex/latex/misc and fixed
    documentation accordingly (Closes: #517686)

 -- Roland Stigge <stigge@antcom.de>  Sun, 27 Jun 2010 17:22:14 +0200

m-tx (0.60c-2) unstable; urgency=low

  * Depend: texlive-base to provide mktexupd (Closes: #574233)

 -- Roland Stigge <stigge@antcom.de>  Wed, 17 Mar 2010 21:09:53 +0100

m-tx (0.60c-1) unstable; urgency=low

  * New upstream release
  * debian/watch: Updated to version 3 syntax (Closes: #453582)
  * debian/control:
    - Switched from p2c+gcc to fp-compiler due to upstream incompatibility,
      unfortunately reduces architectures to i386 powerpc sparc amd64 arm
      and doesn't support shared library linking
    - Standards-Version: 3.7.3
  * doc/meter.mtx: Bugfix from mailing list, fixes doc compilation

 -- Roland Stigge <stigge@antcom.de>  Sun, 09 Mar 2008 15:02:01 +0100

m-tx (0.60-8) unstable; urgency=low

  * debian/control: Build-Depends: texlive-fonts-recommended
    (Closes: #451454)

 -- Roland Stigge <stigge@antcom.de>  Fri, 16 Nov 2007 09:11:41 +0100

m-tx (0.60-7) unstable; urgency=low

  * debian/control: Build-Depends: texlive-latex-recommended
    (Closes: #445767)

 -- Roland Stigge <stigge@antcom.de>  Mon, 08 Oct 2007 12:03:17 +0200

m-tx (0.60-6) unstable; urgency=low

  * debian/control: Removed tetex* from dependencies (Closes: #430441)

 -- Roland Stigge <stigge@antcom.de>  Tue, 02 Oct 2007 22:57:58 +0200

m-tx (0.60-5) unstable; urgency=low

  [ Norbert Preining ]
  * add alternative dependency on texlive
  * add me to Uploaders

  [ Roland Stigge ]
  * debian/control: Standards-Version: 3.7.2

 -- Roland Stigge <stigge@antcom.de>  Sun,  7 May 2006 00:02:50 +0200

m-tx (0.60-4) unstable; urgency=low

  * Updated debian/copyright, thanks to Nis Martensen (Closes: #352237)

 -- Roland Stigge <stigge@antcom.de>  Tue, 18 Apr 2006 15:14:35 +0200

m-tx (0.60-3) unstable; urgency=low

  * debian/prepmx.1: Manpage update by Nis Martensen
  * debian/rules, doc/Makefile: Cleaned up /usr/share/doc/m-tx/mtxdoc
    (Closes: #326204)
  * Updated doc/mtx.tex to be link to ../src/mtx.tex
  * debian/compat: Debhelper compatibility level: 4

 -- Roland Stigge <stigge@antcom.de>  Sat,  3 Sep 2005 10:12:07 +0200

m-tx (0.60-2) unstable; urgency=low

  * debian/control: Really added tetex-bin to Depends (Closes: #323248)

 -- Roland Stigge <stigge@antcom.de>  Tue, 16 Aug 2005 22:33:03 +0200

m-tx (0.60-1) unstable; urgency=low

  * New upstream release
  * debian/control: Added tetex-bin to Depends (Closes: #323248)

 -- Roland Stigge <stigge@antcom.de>  Tue, 16 Aug 2005 21:18:30 +0200

m-tx (0.55c-2) unstable; urgency=low

  * Added mtx.tex to /usr/share/texmf/tex/musixtex/m-tx, thanks to
    Nis Martensen (Closes: #316165)
  * debian/control: Standards-Version: 3.6.2.0

 -- Roland Stigge <stigge@antcom.de>  Wed,  3 Aug 2005 19:48:55 +0200

m-tx (0.55c-1) unstable; urgency=low

  * New upstream release (Closes: #297094)
  * Changed build environment to p2c+cc for using native Pascal sources,
    adjusted Build-Depends (fp-compiler can be used as soon as fpc provides
    linkage against libc for interoperability with different kernels)

 -- Roland Stigge <stigge@antcom.de>  Sun, 27 Feb 2005 11:52:39 +0100

m-tx (0.52-5) unstable; urgency=low

  * Updated man page, thanks to Nis Martensen <nis.martensen@web.de>
  * Updated Standards-Version: 3.6.0 -> 3.6.1

 -- Roland Stigge <stigge@antcom.de>  Fri, 18 Feb 2005 21:20:21 +0100

m-tx (0.52-4) unstable; urgency=low

  * New maintainer
      Date: Wed, 6 Aug 2003 19:28:18 +0800
      From: Anthony Fok <foka@debian.org>
      To: Roland Stigge <stigge@antcom.de>
      Subject: Re: Roland Stigge (fwd)
  
      Hello Roland,

      The MusiXTeX family of packages are yours.  You may become the official
      maintainer for these Debian packages (musixtex, pmx, m-tx, musixlyr),
      effective now. [...]
    (Closes: #84278, #85466)
  * Standards-Version: 3.6.0

 -- Roland Stigge <stigge@antcom.de>  Wed,  6 Aug 2003 14:28:27 +0200

m-tx (0.52-3.1) unstable; urgency=low

  * NMU
      Date: 15 Jun 2003 20:39:37 +0800
      From: Anthony Fok <foka@debian.org>
      To: Roland Stigge <stigge@antcom.de>
      Subject: Re: MusiXTeX

      [...]
      I do welcome NMUs.
      [...]
  * Standards-Version: 3.5.10
  * debian/control: Changed Section: from contrib/tex to tex due to
    musixtex move from non-free to main; adjusted author's address
  * Wrote man page for prepmx (Closes: #84278)
  * Fixed rest placement problem for placement +/- 10, thanks to
    Garrick James <garrick@nebula.dsl.speakeasy.net> (Closes: #85466)

 -- Roland Stigge <stigge@antcom.de>  Sat, 21 Jun 2003 11:24:56 +0200

m-tx (0.52-3) unstable; urgency=low

  * [debian/control]: Standards-Version: 3.1.1; added Build-Depends;


=== debian/control ===
Source: m-tx
Section: tex
Priority: optional
Maintainer: Roland Stigge <stigge@antcom.de>
Uploaders: Norbert Preining <preining@logic.at>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9), musixtex, pmx, musixtex (>= 1:0.114-2) | musixlyr, texlive-latex-recommended, texlive-fonts-recommended, fp-compiler, texlive-latex-extra

Package: m-tx
Architecture: i386 powerpc sparc amd64 arm
Depends: ${misc:Depends}, texlive-base
Recommends: musixtex (>= 1:0.98-1), musixlyr (>= 1.10-4), pmx (>= 2.1.0-1)
Description: Simple music-from-text language for use with PMX/MusiXTeX
 M-Tx is a preprocessor for PMX (which is, in turn, a MusiXTeX preprocessor)
 that facilitates inputting lyrics. It builds the PMX input file based on a
 language very similar to PMX. M-Tx includes most of PMX's functionality, but it
 also permits in-line PMX commands to give access to virtually all of PMX.
 .
  Author: Dirk Laurie <dlaurie@na-net.ornl.gov>
Homepage: http://icking-music-archive.org/software/indexmt6.html

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	# p2c + gcc + glibc Build Version:
	#cd src && make prepmxc
	# Free Pascal Build Version:
	cd src && make prepmx

	# documentation
	cp -a doc bindoc
	ln -s ../src/mtx.tex doc/mtx.tex
	cd doc && make pdftarget && make config && make all

override_dh_auto_clean:
	dh_auto_clean
	cd src && make bare
	-rm -rf bindoc
	cd doc && make bare
	-rm -f doc/mtx.tex
	-rm -f doc/make-target
	-cp -af doc/make-pdf doc/make-target

override_dh_auto_install:
	dh_auto_install
	cp -p src/prepmx debian/m-tx/usr/bin
	cp -p src/mtx.tex debian/m-tx/usr/share/texmf/tex/musixtex/m-tx
	cp -p doc/mtxlatex.sty debian/m-tx/usr/share/texmf/tex/latex/misc
	ln -fs ../../m-tx debian/m-tx/usr/share/doc/texmf/musixtex/m-tx
	cp -av bindoc/* debian/m-tx/usr/share/doc/m-tx/mtxdoc

override_dh_compress:
	dh_compress -X.pdf

## m-tx 0.60d.ctan20130123

=== debian/changelog ===
m-tx (0.60d.ctan20130123-2) unstable; urgency=low

  * ACK NMU 0.60d-5.1, incorporate the changes into the git repo
    (Closes: #706144). Thanks Peter.

 -- Norbert Preining <preining@debian.org>  Mon, 06 May 2013 08:07:54 +0900

m-tx (0.60d-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Set architecture list to any so the package builds on all architectures
    where the build-depends are available.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 05 May 2013 01:54:02 +0000

m-tx (0.60d.ctan20130123-1) experimental; urgency=low

  * New upstream version based on CTAN upload
  * changed maintainer to the Debian TeX Maintainer mailing list with
    agreement of the current maintainer Roland, and put Roland and
    myself in Uploaders field
  * adapt debian/rules file to new layout, add get-orig-source script
  * use dh_installtex instead of handwritten postinst

 -- Norbert Preining <preining@debian.org>  Wed, 23 Jan 2013 13:35:44 +0900

=== debian/control ===
Source: m-tx
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Roland Stigge <stigge@antcom.de>, Norbert Preining <preining@debian.org>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9), musixtex, pmx, musixtex (>= 1:0.114-2) | musixlyr, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, tex-common (>= 4.01)
Homepage: http://icking-music-archive.org/software/indexmt6.html
Vcs-Git: git://anonscm.debian.org/debian-tex/m-tx.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/m-tx.git

Package: m-tx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, texlive-base, luatex
Recommends: musixtex (>= 1:0.98-1), musixlyr (>= 1.10-4), pmx (>= 2.1.0-1)
Description: Simple music-from-text language for use with PMX/MusiXTeX
 M-Tx is a preprocessor for PMX (which is, in turn, a MusiXTeX preprocessor)
 that facilitates inputting lyrics. It builds the PMX input file based on a
 language very similar to PMX. M-Tx includes most of PMX's functionality, but it
 also permits in-line PMX commands to give access to virtually all of PMX.
 .
  Author: Dirk Laurie <dlaurie@na-net.ornl.gov>

## m-tx 0.60d.ctan20131214

=== debian/changelog ===
m-tx (0.60d.ctan20131214-1) unstable; urgency=low

  * Imported Upstream version 0.60d.ctan20131214
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Sat, 14 Dec 2013 21:48:40 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Roland Stigge <stigge@antcom.de>, Norbert Preining <preining@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 9), musixtex, pmx, musixtex (>= 1:0.114-2) | musixlyr, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, tex-common (>= 4.01)
 Homepage: http://icking-music-archive.org/software/indexmt6.html
 Vcs-Git: git://anonscm.debian.org/debian-tex/m-tx.git

## m-tx 0.60d.ctan20131224

=== debian/changelog ===
m-tx (0.60d.ctan20131224-1) unstable; urgency=medium

  * Imported Upstream version 0.60d.ctan20131224
    - fixed m-tx.lua script (Closes: #767434)

 -- Norbert Preining <preining@debian.org>  Fri, 31 Oct 2014 10:22:26 +0900

m-tx (0.60d.ctan20131214-2) unstable; urgency=medium

  * fix mismatch of prototypes of predelete (Closes: #749782)
  * bump standards version, no changes necessary
  * replace luatex with texlive-binaries

 -- Norbert Preining <preining@debian.org>  Tue, 21 Oct 2014 09:20:26 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Roland Stigge <stigge@antcom.de>, Norbert Preining <preining@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), musixtex, pmx, musixtex (>= 1:0.114-2) | musixlyr, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, tex-common (>= 4.01)
 Homepage: http://icking-music-archive.org/software/indexmt6.html
 Vcs-Git: git://anonscm.debian.org/debian-tex/m-tx.git
@@ -11,7 +11,7 @@
 
 Package: m-tx
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, texlive-base, luatex
+Depends: ${shlibs:Depends}, ${misc:Depends}, texlive-base, texlive-binaries (>= 2014.20140512.33982)
 Recommends: musixtex (>= 1:0.98-1), musixlyr (>= 1.10-4), pmx (>= 2.1.0-1)
 Description: Simple music-from-text language for use with PMX/MusiXTeX
  M-Tx is a preprocessor for PMX (which is, in turn, a MusiXTeX preprocessor)

=== debian/rules ===
#!/usr/bin/make -f

package = m-tx
version = 0.60d
r = $(CURDIR)/debian/$(package)
texmf = $(r)/usr/share/texmf

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -D mtx-$(version)

override_dh_auto_build:
	$(MAKE) -Cmtx-$(version)
	# documentation
	cp -a doc/generic/m-tx/mtx060 bindoc
	ln -s ../tex/generic/m-tx/mtx.tex bindoc/mtx.tex
	cd bindoc && make pdftarget && make config && make all

override_dh_auto_install:
	$(MAKE) -Cmtx-$(version) DESTDIR=$(r) install
	mkdir -p $(texmf)
	cp -a doc scripts tex $(texmf)
	# install updated documentation
	cp bindoc/mtxdoc.pdf $(texmf)/doc/generic/m-tx/mtx060.pdf
	# remove man pages from installed doc directory
	rm $(texmf)/doc/generic/m-tx/*.1
	mkdir -p $(r)/usr/bin
	ln -s ../share/texmf/scripts/m-tx/m-tx.lua $(r)/usr/bin/m-tx
	dh_installtex

override_dh_clean:
	dh_auto_clean -D mtx-$(version) -- -XMakefile.orig
	-rm -rf bindoc
	dh_clean -Xmtx-$(version)/Makefile.orig

override_dh_compress:
	dh_compress -X.pdf

## m-tx 0.61.ctan20151217

=== debian/changelog ===
m-tx (0.61.ctan20151217-2) unstable; urgency=medium

  * convert to dummy transitional package, m-tx is now
    part of texlive-music

 -- Norbert Preining <preining@debian.org>  Mon, 22 Feb 2016 22:13:07 +0900

m-tx (0.61.ctan20151217-1) unstable; urgency=medium

  * Imported Upstream version 0.61.ctan20151217
  * update rules file for new release
  * update patches

 -- Norbert Preining <preining@debian.org>  Thu, 17 Dec 2015 18:26:23 +0900

=== debian/control ===
Source: m-tx
Section: oldlibs
Priority: extra
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Roland Stigge <stigge@antcom.de>, Norbert Preining <preining@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9)

Package: m-tx
Architecture: all
Depends: texlive-music (>= 2015.20160223)
Description: transitional dummy package
 This is a transitional package for m-tx to ensure proper
 upgrade to texlive-music. It can be safely removed after the installation is
 complete.

=== debian/rules ===
#!/usr/bin/make -f

package = m-tx
version = 0.61
r = $(CURDIR)/debian/$(package)
texmf = $(r)/usr/share/texmf

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

=== debian/watch ===
version=3
opts="uversionmangle=s/(.)(..)(.*)/$1.$2$3/" http://icking-music-archive.org/software/mtx/ mtxP([\da-z]*)\.zip
